Skip to main content
Export Employee Skill Clusters data.
curl --request POST \
  --url https://{tenant_name}.{region}.techwolf.ai/export/employees/skill_clusters \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "limit": 10,
  "starting_after": "4cbdbabe-5644-4423-8157-520f8a2f429a",
  "filters": [
    {
      "filter": "is_active",
      "is_active": true
    }
  ],
  "include": [
    "sources",
    "current_skills",
    "related_skills",
    "rejected_skills"
  ]
}
'
{
  "has_next": true,
  "records": [
    {
      "external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
      "skill_clusters": [
        {
          "skill_cluster_id": "51e605a8-ca08-4ba6-a359-28bad07b38f6",
          "skill_cluster_name": "DevOps",
          "domain_name": "Computer Science",
          "proficiency_level": 3,
          "validation_state": "validated",
          "current_skills": [
            {
              "name": "Git",
              "skill_id": "ed8a3b44-59a0-44a6-a283-6c0e4b303be1",
              "validation_state": "suggested",
              "skill_sources": [
                "working_history",
                "resume_document"
              ]
            },
            {
              "name": "Jenkins",
              "skill_id": "eebcf485-9045-4669-a6f7-6e7faa465ff9",
              "validation_state": "suggested",
              "skill_sources": [
                "resume_document"
              ]
            },
            {
              "name": "Kubernetes",
              "skill_id": "94835c7e-4135-40d7-aea6-165b33d01589",
              "validation_state": "validated",
              "skill_sources": [
                "working_history",
                "resume_document"
              ]
            }
          ],
          "related_skills": [
            {
              "name": "Helm",
              "skill_id": "63454703-6462-4ccc-bb50-34a0e99bfbf3",
              "validation_state": "suggested",
              "skill_sources": [
                "resume_document",
                "education_history"
              ]
            }
          ],
          "sources": [
            "working_history",
            "education_history",
            "resume_document"
          ]
        },
        {
          "skill_cluster_id": "df96accd-cfa9-414e-96e8-2f6421e9a768",
          "skill_cluster_name": "Programming Languages",
          "domain_name": "Computer Science",
          "proficiency_level": 2,
          "validation_state": "suggested",
          "current_skills": [
            {
              "name": "Python",
              "skill_id": "4b85469d-6729-4d70-9876-a0faa2a2f63b",
              "validation_state": "suggested",
              "skill_sources": [
                "working_history"
              ]
            },
            {
              "name": "Java",
              "skill_id": "9e914d31-9db1-4d2d-8d16-ed8a88539879",
              "validation_state": "rejected",
              "skill_sources": [
                "working_history"
              ]
            }
          ],
          "related_skills": [
            {
              "name": "Django",
              "skill_id": "eeb27f67-8abc-4ad9-babb-7868eaa13078",
              "validation_state": "suggested",
              "skill_sources": [
                "working_history"
              ]
            },
            {
              "name": "Spring Framework",
              "skill_id": "f21b6e1a-dee2-478a-b92f-b4641237af6b",
              "validation_state": "suggested",
              "skill_sources": [
                "working_history"
              ]
            }
          ],
          "sources": [
            "working_history"
          ]
        }
      ]
    },
    {
      "external_id": "61a6e076-d780-11ec-9d64-0242ac120002",
      "skill_clusters": [
        {
          "skill_cluster_id": "32575bc1-5c01-4d6f-89dc-8b4dceccf98a",
          "skill_cluster_name": "Financial accounting",
          "domain_name": "Finance",
          "proficiency_level": 2,
          "current_skills": [
            {
              "name": "Balance Sheet",
              "skill_id": "8313fe8a-f39e-4a35-8c82-93b46c3de9bb",
              "validation_state": "validated",
              "skill_sources": []
            },
            {
              "name": "IFRS",
              "skill_id": "bdb5ee3f-8ba0-4c40-92b2-0277431ae069",
              "validation_state": "suggested",
              "skill_sources": [
                "learning"
              ]
            }
          ],
          "related_skills": [],
          "sources": [
            "learning"
          ]
        }
      ]
    }
  ],
  "next_starting_after": "61a6e076-d780-11ec-9d64-0242ac120002"
}

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
limit
integer
required

The number of Employees to show on a single page.

Required range: 1 <= x <= 100
Example:

10

starting_after
string

The external_id of the Employee to continue looking from.

Maximum string length: 100
Example:

"4cbdbabe-5644-4423-8157-520f8a2f429a"

filters
(is_active · object | last_updated · object)[]

A set of filters to apply on the exported Employees.

include
enum<string>[]

Expand the results with extra data.

Include:

  • current_skills - Show the current Skills for the profile.
  • related_skills - Show the related Skills for the profile.
  • sources - Show the event type sources that led to this Skill Cluster.
Available options:
current_skills,
related_skills,
rejected_skills,
sources
Example:
[
"sources",
"current_skills",
"related_skills",
"rejected_skills"
]

Response

OK

has_next
boolean
required

True when there is more data after this page.

Example:

true

records
object[]
required

A list containing the requested data for each entity, limited by the limit parameter.

Example:
[
{
"external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
"skill_clusters": [
{
"skill_cluster_id": "51e605a8-ca08-4ba6-a359-28bad07b38f6",
"skill_cluster_name": "DevOps",
"domain_name": "Computer Science",
"proficiency_level": 3,
"validation_state": "validated",
"current_skills": [
{
"name": "Git",
"skill_id": "ed8a3b44-59a0-44a6-a283-6c0e4b303be1",
"validation_state": "suggested",
"skill_sources": ["working_history", "resume_document"]
},
{
"name": "Jenkins",
"skill_id": "eebcf485-9045-4669-a6f7-6e7faa465ff9",
"validation_state": "suggested",
"skill_sources": ["resume_document"]
},
{
"name": "Kubernetes",
"skill_id": "94835c7e-4135-40d7-aea6-165b33d01589",
"validation_state": "validated",
"skill_sources": ["working_history", "resume_document"]
}
],
"related_skills": [
{
"name": "Helm",
"skill_id": "63454703-6462-4ccc-bb50-34a0e99bfbf3",
"validation_state": "suggested",
"skill_sources": ["resume_document", "education_history"]
}
],
"sources": [
"working_history",
"education_history",
"resume_document"
]
},
{
"skill_cluster_id": "df96accd-cfa9-414e-96e8-2f6421e9a768",
"skill_cluster_name": "Programming Languages",
"domain_name": "Computer Science",
"proficiency_level": 2,
"validation_state": "suggested",
"current_skills": [
{
"name": "Python",
"skill_id": "4b85469d-6729-4d70-9876-a0faa2a2f63b",
"validation_state": "suggested",
"skill_sources": ["working_history"]
},
{
"name": "Java",
"skill_id": "9e914d31-9db1-4d2d-8d16-ed8a88539879",
"validation_state": "rejected",
"skill_sources": ["working_history"]
}
],
"related_skills": [
{
"name": "Django",
"skill_id": "eeb27f67-8abc-4ad9-babb-7868eaa13078",
"validation_state": "suggested",
"skill_sources": ["working_history"]
},
{
"name": "Spring Framework",
"skill_id": "f21b6e1a-dee2-478a-b92f-b4641237af6b",
"validation_state": "suggested",
"skill_sources": ["working_history"]
}
],
"sources": ["working_history"]
}
]
},
{
"external_id": "61a6e076-d780-11ec-9d64-0242ac120002",
"skill_clusters": [
{
"skill_cluster_id": "32575bc1-5c01-4d6f-89dc-8b4dceccf98a",
"skill_cluster_name": "Financial accounting",
"domain_name": "Finance",
"proficiency_level": 2,
"current_skills": [
{
"name": "Balance Sheet",
"skill_id": "8313fe8a-f39e-4a35-8c82-93b46c3de9bb",
"validation_state": "validated",
"skill_sources": []
},
{
"name": "IFRS",
"skill_id": "bdb5ee3f-8ba0-4c40-92b2-0277431ae069",
"validation_state": "suggested",
"skill_sources": ["learning"]
}
],
"related_skills": [],
"sources": ["learning"]
}
]
}
]
next_starting_after
string

The next starting_after value for pagination.

Maximum string length: 100
Example:

"61a6e076-d780-11ec-9d64-0242ac120002"